Uploaded image for project: 'Flume'
  1. Flume
  2. FLUME-2071

Flume Context doesn't support float or double configuration values.

    Details

    • Type: New Feature
    • Status: Patch Available
    • Priority: Minor
    • Resolution: Unresolved
    • Affects Version/s: v1.4.0
    • Fix Version/s: None
    • Component/s: Configuration
    • Labels:
      None

      Description

      Context doesn't support floating point configuration values.

      1. patch.diff
        4 kB
        Hans Uhlig

        Activity

        Hide
        huhlig Hans Uhlig added a comment -

        Attaching Patch

        Show
        huhlig Hans Uhlig added a comment - Attaching Patch
        Hide
        mpercy Mike Percy added a comment -

        +1, lgtm

        Show
        mpercy Mike Percy added a comment - +1, lgtm
        Hide
        mpercy Mike Percy added a comment -

        Oh hmm no unit tests. Hans, can you please add these to TestContext.testPutGet()?

        Show
        mpercy Mike Percy added a comment - Oh hmm no unit tests. Hans, can you please add these to TestContext.testPutGet()?
        Hide
        huhlig Hans Uhlig added a comment -

        Patch file made against git://git.apache.org/flume.git branch flume-1.4

        Show
        huhlig Hans Uhlig added a comment - Patch file made against git://git.apache.org/flume.git branch flume-1.4
        Hide
        huhlig Hans Uhlig added a comment - - edited

        I added the unit tests for the additional Methods. Sorry it took so long for something so simple.

        Show
        huhlig Hans Uhlig added a comment - - edited I added the unit tests for the additional Methods. Sorry it took so long for something so simple.

          People

          • Assignee:
            Unassigned
            Reporter:
            huhlig Hans Uhlig
          • Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

            • Created:
              Updated:

              Development